Jupiter - Zadanie #1775

Zadanie # 1694 (Rozwigzany): Obstuga petnych tekstow
Zarzadzanie petnymi tekstami

2017-07-24 09:33 - Michat Komar

Status: Rozwigzany Start date: 2017-07-24
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

Uzytkownik w ramach edycji dokumentu powinien mie¢ mozliwo$¢ zarzagdzania plikami typu FT_FULL_TEXT.

Metadane plikéw trzymane sg w yelemencie w ramach ycontentfile.
Mapowanie ycontentfile i attachment realizowane jest poprzez location. Tzn: ycontentfile.location ==
DocumentAttachmentBean.location

Uzytkownik nie moze modyfikowa¢ zawartosci dodanego pliku -> ycontentfile istnieje i chcemy tylko zmieni¢ zawarto$¢. W tym celu
nalezy usuna¢ plik i doda¢ go ponownie.

W pierwszym etapie nie obstugujemy Ydirectory. Jezeli napotkamy ydirectory nalezy sptaszczy¢ stukture, podczas wysytania do
fronendu (np. poprzez mixin).

We frontendzie, formatka z petnymi tekstami znajduje sie w osobnej sekcji.

Formatka powinna wyswietli¢ liste z danymi z ycontentfile (filename, location, mimetype) oraz akcje -> podglad oraz usun.
Formatka powinna takze umozliwia¢ dodawanie elementéw poprzez komponent do uploadu plikbw. Po uploadzie powinny zostaé
uzupetnione pola z ycontenfile(filename, mimetype, location) jezeli to mozliwe. Uzytkownik powinien mie¢ mozliwo$¢ modyfikacii
filename oraz mimetype. Location powinna by¢ nadawana przez system po uploadzie.

Associated revisions

Revision 18043dd8 - 2017-07-24 09:41 - Monika Maksymiuk

refs #1775. Sekcja do zarzadzania petnymi tekstami

Revision 533b6962 - 2017-07-26 08:11 - Lukasz Waskiewicz

refs #1775 poprawa formatowania

Revision ecc44094 - 2017-07-28 12:52 - Lukasz Waskiewicz

refs #1775 edycja petnych tekstow

Revision 42518e4a - 2017-07-28 12:52 - Lukasz Waskiewicz

refs #1775 zmiana w file-upload.component
Revision 76be92a4 - 2017-07-28 12:52 - Lukasz Waskiewicz

refs #1775 zgranie Ul

Revision 6daaf0d1 - 2017-08-01 08:46 - Lukasz Waskiewicz

refs #1775 korekty Ul

Revision 88dbdd3c - 2017-08-03 15:06 - Lukasz Waskiewicz

refs #1775 dodanie wymaganego Id do yContentFile

Revision 5¢291d83 - 2017-08-04 11:53 - Lukasz Waskiewicz

refs #1775 zapisanie informacji o zatgczniku w attachments

obstuga plikow uploadowanych, poprawka ttumaczenia, usuniecie duplikacji
kodu w CermineController

Revision bf111316 - 2017-08-04 12:07 - Lukasz Waskiewicz

refs #1775 #1790 poprawki ttumaczen

Revision a816e18a - 2017-08-04 15:31 - Lukasz Waskiewicz

refs #1775 rozpoznawanie formatu z linku, typ pliku, ostylowanie

Revision 3122d868 - 2017-08-07 07:26 - Lukasz Waskiewicz

refs #1775 typ pliku, poprawka

Revision 08d00d82 - 2017-08-17 13:49 - Lukasz Waskiewicz

refs #1775 poprawki w fulltext.component

Revision e5d3fa3f - 2017-08-17 13:49 - Lukasz Waskiewicz

refs #1775 walidacja fulltext

Revision 7071a8b7 - 2017-08-17 15:27 - Michat Komar

refs #1775: Obstuga r6znych typéw w content
Revision e08b3686 - 2017-08-21 08:27 - Lukasz Waskiewicz

refs #1775 poprawki dziatania

Revision e49b6e40 - 2017-08-23 09:47 - Lukasz Waskiewicz

refs #1775 podglad plikéw, ikonka przycisku

Revision a6fd452d - 2017-08-24 12:32 - Lukasz Waskiewicz

refs #1775 poprawa wyswietlania ikon + ttumaczenia

History

#1 - 2017-07-24 09:46 - Monika Maksymiuk

Dodatam sekcje z petnymi tekstami. Wyswietla sie w niej to co jest dodane do: fulltexts-field.component.ts
Zeby dane z backendu byty w formularzu trzeba zaimplementowag initFulltexts w form-manager.ts
Zeby dane z formularza sie zapisywaty do backendu trzeba zaimplementowaé updateFulltexts w document-manager.ts

#2 - 2017-08-01 08:50 - Lukasz Waskiewicz

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 0 to 100

- Developer tukasz Waskiewicz added

- Tester Michat Komar added

#3 - 2017-08-01 13:53 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Nalezy dorobi¢ wybér typu kontentu: plaintext lub fulltext.

Edycja mimeType powinna opiera¢ sie o liste.

Przyciski "Browse" i "Dodaj" powinny mie¢ inne nazwy np: "Nowy plik", "Nowy zaséb zdalny".

Po wprowadzeniu zasobu zdalnego, jupiter mogtby prébowac go pobraé i ustawi¢ na tej podstawie nazwe i mime (ewentualnie wyswietli¢ informacije o
btedzie, ktéra jednak nie powodowataby blokady zapisu - bardziej warning niz btad).

Czcionki w placeholderach powinny by¢ wigksze (na poczatku sg dobre, jak zaczynam wprowadzac tekst, zmniejsza sig ich rozmiar i sg praktycznie
nieczytelne ) - patrz ostatnie uwagi do #1707.

#4 - 2017-08-04 15:40 - Lukasz Waskiewicz
- Status changed from Odpowied? to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar

typ, dodany
lista mime wydaje mi sie mato przydatna, zrobitem rozpoznawanie na podstawie linku (bez pobierania) (przypuszczam ze osoby wprowadzajace w
ogoéle nie beda wiedzialy co to jest mime)

rozpoznanie nazwy pliku tez bym co najwyzej zrobit z linku, i pobieraniem to conajwyzej bym wotat i sprawdzat czy pod linkiem nie mam 400 lub 500 i
komunikat, ale nie wiem czy nie zostawi¢ tego na pozniej

#5 - 2017-08-08 08:32 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Do poprawienia:
1. Doda¢ margines pod przyciskami (dodaj i wgraj)
2. Zamieni¢ miejscami przyciski
3. Zmieni¢ nazwe "Wgraj plik" na "Nowy plik"
4. W formacie pliku powinien by¢ select z autocompletem
5. Doda¢ walidacje - przede wszystkim wymagalnos¢ + czy url dla zdalnych

#6 - 2017-08-17 14:00 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

poprawione, wymagana jest nazwa pliku i location

#7 - 2017-08-22 09:25 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Zapomniatem o jednej rzeczy jeszcze - trzeba umozliwié¢ pobieranie petnych tekstéw z poziomu edycji.
Przy okazji mozna dodac ikonke do dodawania pliku zdalnego, bo teraz to dziwinie wyglada.
Reszta ok.

#8 - 2017-08-23 09:49 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

zrobione

#9 - 2017-08-24 11:21 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Ikonki wy$wietlajg sie w pionie, a powinny obok sigbie - dziatanie przycisku preview ok (tylko brak labelki i zmienitbym ikonke na file_download).
Ikonka przy przycisku ok.

#10 - 2017-08-24 12:52 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie
- Assignee changed from tukasz Waskiewicz to Michat Komar
poprawione

#11 - 2017-08-25 13:36 - Michat Komar
- Status changed from Testowanie to Odpowiedz
- Assignee changed from Michat Komar to tukasz Waskiewicz

Dziwne zachowanie comboboxéw - nie zamykajg sie po wyborze.

#12 - 2017-08-25 13:45 - Michat Komar

- Parent task set to #1694

#13 - 2017-09-06 13:15 - Lukasz Waskiewicz
- Status changed from Odpowiedz to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar

nic nie zmieniatem, ale juz nie wystepuje (sprawdzitem FF i Chrome)

#14 - 2017-09-11 10:40 - Michat Komar
- Status changed from Testowanie to Rozwigzany

Rzeczywiscie dziata - dziwna sprawa
